Subject: [lamps] draft-ietf-lamps-cmp-updates: fractional seconds

From: Sean Turner <[email-masked]>
Date: Thu, 3 Feb 2022 11:47:25 -0500

Apologies for the late comment.

RFC 5280 clearly states that GenerlizedTime fractional seconds are not allowed (see s4.1.2.5.2 of [0]). The CMP light profile refers to 5280 for how GeneralizedTime is defined (see s1.6 of [1]). CMP, through CMP updates, kinda-sorta refers to 5280 (see s2.2 of [2]) in the EKU section. Should the CMP updates document include a new section that clearly refers to 5280 for how to handle fractional seconds? Or, did I miss some text or a reference somewhere?

spt

[0] https://datatracker.ietf.org/doc/rfc5280/
[1] https://datatracker.ietf.org/doc/draft-ietf-lamps-lightweight-cmp-profile/
[2] https://datatracker.ietf.org/doc/draft-ietf-lamps-cmp-updates/

---

From: "Brockhaus, Hendrik" <[email-masked]>
Date: Sat, 5 Feb 2022 07:22:27 +0000

There was a short exchange among some implementers on this on private email.
There was agreement, that is helpful to add a section clarifying this.

> Von: Spasm <[email-masked]> Im Auftrag von Sean Turner
> Gesendet: Donnerstag, 3. Februar 2022 17:47
> 
> RFC 5280 clearly states that GenerlizedTime fractional seconds are not
> allowed (see s4.1.2.5.2 of [0]). The CMP light profile refers to 5280 for how
> GeneralizedTime is defined (see s1.6 of [1]). CMP, through CMP updates,
> kinda-sorta refers to 5280 (see s2.2 of [2]) in the EKU section. Should the
> CMP updates document include a new section that clearly refers to 5280 for
> how to handle fractional seconds? Or, did I miss some text or a reference
> somewhere?
> 

The following text could either be added as new section to RFC4210 Section 5.2. Common Data Structures or as additional paragraph to RFC 4210 Section 5.1.1 and Section 5.3.15 where GeneralizedTime is used.

"GeneralizedTime is a standard ASN.1 type and SHALL be used as specified in RFC5280 Section 4.1.2.5.2 [RFC5280]."

I would prefer to add a new Section 5.2.9 as it is less change to CMP Updates, but I am also happy to follow the other suggestion.
Is there a preference in the group?

Hendrik

---

From: Russ Housley <[email-masked]>
Date: Sat, 5 Feb 2022 12:11:37 -0500

> On Feb 5, 2022, at 2:22 AM, Brockhaus, Hendrik <[email-masked]> wrote:
> 

Either one works for me.

Russ

---

From: Sean Turner <[email-masked]>
Date: Tue, 8 Feb 2022 12:15:25 -0500

> On Feb 5, 2022, at 12:11, Russ Housley <[email-masked]> wrote:
> 
> 
> 

I would lean towards less work for the editor ;)

spt

---

From: "Brockhaus, Hendrik" <[email-masked]>
Date: Wed, 9 Feb 2022 12:36:31 +0000

> Von: Sean Turner <[email-masked]>
> Gesendet: Dienstag, 8. Februar 2022 18:15
> 
> >>> RFC 5280 clearly states that GenerlizedTime fractional seconds are
> >>> not allowed (see s4.1.2.5.2 of [0]). The CMP light profile refers to
> >>> 5280 for how GeneralizedTime is defined (see s1.6 of [1]). CMP,
> >>> through CMP updates, kinda-sorta refers to 5280 (see s2.2 of [2]) in
> >>> the EKU section. Should the CMP updates document include a new
> >>> section that clearly refers to 5280 for how to handle fractional
> >>> seconds? Or, did I miss some text or a reference somewhere?
> >>>
> >>
> >> The following text could either be added as new section to RFC4210 Section
> 5.2. Common Data Structures or as additional paragraph to RFC 4210 Section
> 5.1.1 and Section 5.3.15 where GeneralizedTime is used.
> >>
> >> I would prefer to add a new Section 5.2.9 as it is less change to CMP
> Updates, but I am also happy to follow the other suggestion.

Thank you for your feedback.
I will add the text as new Section 5.2.9. I will submit the new version together with the updates Roman requested after I have his feedback on my proposals.

Hendrik